## ros-lunar-rtt-ros-integration 2.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rtt_ros_integration)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-lunar-rtt-ros-integration (2.9.2-1stretch) stretch; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 14 May 2019 22:00:00 -0000

ros-lunar-rtt-ros-integration (2.9.1-1stretch) stretch; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Wed, 15 Nov 2017 23:00:00 -0000

ros-lunar-rtt-ros-integration (2.9.0-1stretch) stretch; urgency=high

  * Added individual changelogs and bumped versions to 2.9.0
  * Contributors: Johannes Meyer

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 01 May 2017 22:00:00 -0000

ros-lunar-rtt-ros-integration (2.8.6-1stretch) stretch; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 14 Nov 2017 23:00:00 -0000

ros-lunar-rtt-ros-integration (2.8.5-1stretch) stretch; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 27 Mar 2017 22:00:00 -0000

ros-lunar-rtt-ros-integration (2.8.4-1stretch) stretch; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Fri, 25 Nov 2016 23:00:00 -0000

ros-lunar-rtt-ros-integration (2.8.3-1stretch) stretch; urgency=high

  * Please check the changelogs of the individual packages, e.g.:
    
      * rtt_roscomm <../rtt_roscomm/CHANGELOG.rst>
      * rtt_rosclock <../rtt_rosclock/CHANGELOG.rst>
      * rtt_rosparam <../rtt_rosparam/CHANGELOG.rst>
      * rtt_dynamic_reconfigure <../rtt_dynamic_reconfigure/CHANGELOG.rst>
      * ...
    

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Tue, 19 Jul 2016 22:00:00 -0000

ros-lunar-rtt-ros-integration (2.8.2-1stretch) stretch; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Thu, 11 Jun 2015 22:00:00 -0000

ros-lunar-rtt-ros-integration (2.8.1-1stretch) stretch; urgency=high



 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Sun, 15 Mar 2015 23:00:00 -0000

ros-lunar-rtt-ros-integration (2.7.0-1stretch) stretch; urgency=high

  * Major reorganization (see additional notes in CHANGELOG.rst)
  * Moved typekits from rtt_ros_comm and rtt_common_msgs into rtt_ros_integration
  * Added Catkin buildsystem support
  * Added RTT interfaces for ROS Service Calls (serving and calling)
  * Added RTT interfaces for ROS Actionlib (action serving)
  * Re-wrote RTT rosparam service to handle parameter arrays more cleanly
  * Added ROS service interface to interact with the Orocos deployer (rtt_rosdeployment)
  * Added RTT interface to dynamic_reconfigure (rtt_dynamic_reconfigure)

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Sat, 14 Dec 2013 23:00:00 -0000

ros-lunar-rtt-ros-integration (0.4.0-1stretch) stretch; urgency=high

  * Initial stack release

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Sun, 26 Jun 2011 22:00:00 -0000

ros-lunar-rtt-ros-integration (0.0.0-1stretch) stretch; urgency=high

  * Initial development version

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Thu, 09 Sep 2010 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-rtt-ros-integration
Section: misc
Priority: extra
Maintainer: Orocos Developers <orocos-dev@lists.mech.kuleuven.be>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: http://ros.org/wiki/rtt_ros_integration
Standards-Version: 3.9.2

Package: ros-lunar-rtt-ros-integration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-rtt-actionlib, ros-lunar-rtt-dynamic-reconfigure, ros-lunar-rtt-ros, ros-lunar-rtt-ros-msgs, ros-lunar-rtt-rosclock, ros-lunar-rtt-roscomm, ros-lunar-rtt-rosdeployment, ros-lunar-rtt-rosnode, ros-lunar-rtt-rospack, ros-lunar-rtt-rosparam, ros-lunar-rtt-tf
Description: This stack contains all software necessary to build systems using both Orocos and ROS infrastructures

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rtt-ros-integration//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
